/*
 * Author:      Renato Santana, <renato@nce.ufrj.br> in January, 1996.
 *
 * @(#)$Header: /mm/src/tgif/v4/RCS/wb2.e,v 4.4 1999/01/07 16:18:07 william Exp $
 */

#ifdef _TGIF_WB

#ifndef _WB2_E_
#define _WB2_E_

#ifdef _INCLUDE_FROM_WB2_C_
#undef extern
#define extern
#endif /*_INCLUDE_FROM_WB2_C_*/

extern void	RecordPolyToBuffer ARGS_DECL((struct ObjRec*, char*));
extern void	SaveSmoothHingeToBuff ARGS_DECL((char*, int, int, char*));
extern void	RecordBoxToBuffer ARGS_DECL((struct ObjRec*, char*));
extern void	RecordOvalToBuffer ARGS_DECL((struct ObjRec*, char*));
extern void	RecordTextToBuffer ARGS_DECL((struct ObjRec*, char*));
extern void	RecordArcToBuffer ARGS_DECL((struct ObjRec*, char*));
extern void	RecordPolygonToBuffer ARGS_DECL((struct ObjRec*, char*));
extern void	RecordGroupToBuffer ARGS_DECL((struct ObjRec*, char*, int));
extern void	RecordRCBoxToBuffer ARGS_DECL((struct ObjRec*, char*));
extern void	SaveAttrsToBuff ARGS_DECL((char*, struct AttrRec*));
extern void	SaveAttrToBuff ARGS_DECL((char*, struct AttrRec*));
extern void	SaveStringToBuff ARGS_DECL((char*, char*));
extern void	SaveTextObjToBuff ARGS_DECL((char*, struct ObjRec*));
extern int	ReadAttrFromBuff ARGS_DECL((char*, struct AttrRec**));
extern void	CopyObj ARGS_DECL((struct ObjRec*, struct ObjRec*));

#ifdef _INCLUDE_FROM_WB2_C_
#undef extern
#ifndef _NO_RECURSIVE_EXTERN
#define extern extern
#endif /* ~_NO_RECURSIVE_EXTERN */
#endif /*_INCLUDE_FROM_WB2_C_*/

#endif /*_WB2_E_*/

#endif    /* _TGIF_WB */
